SILC Gaim Plugin
================

This is Gaim protocol plugin of the protocol called Secure Internet Live 
Conferencing (SILC).  The implementation will use the SILC Toolkit, 
freely available from the http://silcnet.org/ site, for the actual SILC 
protocol implementation.

To include the SILC into Gaim, one needs to first compile and install 
the SILC Toolkit.  It is done as follows:

	./configure --enable-shared --without-silcd --without-irssi
	make
	make install

This will compile shared libraries of the SILC Toolkit.  If the --prefix 
is not given to ./configure, the binaries are installed into the 
/usr/local/silc directory.

Once the Toolkit is installed one needs to tell for the Gaim ./configure
script where the SILC Toolkit is located.  It is done as follows:

	./configure --with-silc-libs=/path/to/silc/lib
		    --with-silc-includes=/path/to/silc/include

If the Toolkit cannot be located the SILC will not be compiled into the 
Gaim.
